%define pkgname feedparser
%define version 5.1.3

Summary:	Parse RSS and Atom feeds in Python
Name:		python-feedparser
Version:	%{version}
Release:	%mkrel 3
Source0:	http://feedparser.googlecode.com/files/%{pkgname}-%{version}.tar.gz
Patch0:		feedparser-5.1.3-tests-py3.patch
License:	BSD
URL:		http://feedparser.googlecode.com/
Group:		Development/Python
Requires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-chardet
Requires:	python-chardet
BuildArch:	noarch

%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds

%package -n python3-%{pkgname}
Summary:	Parse RSS and Atom feeds in Python
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-chardet

%description -n python3-%{pkgname}
Universal Feed Parser is a Python module for downloading and parsing 
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, 
Userland RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, 
Atom 0.3, Atom 1.0, and CDF feeds. It also parses several popular extension 
modules, including Dublin Core and Apple's iTunes extensions.

%prep
%setup -q -n %{pkgname}-%{version}
cp -a . %{py3dir}
pushd %{py3dir}
%patch0 -p1
cp feedparser/sgmllib3.py feedparser/sgmllib.py
popd
find -type f -exec sed -i 's/\r//' {} ';'
find -type f -exec chmod 0644 {} ';'

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
cp feedparser/sgmllib.py %{buildroot}%{python3_sitelib}/sgmllib.py
popd

%check
pushd feedparser
PYTHONPATH=%{buildroot}%{python_sitelib} %{__python} feedparsertest.py || :
popd

pushd %{py3dir}/feedparser
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} feedparsertest.py || :
popd

%files
%doc LICENSE README NEWS
%{python_sitelib}/*

%files -n python3-%{pkgname}
%doc LICENSE README NEWS
%{python3_sitelib}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 5.1.3-3.mga4
+ Revision: 543420
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 5.1.3-2.mga4
+ Revision: 498595
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Sep 07 2013 philippem <philippem> 5.1.3-1.mga4
+ Revision: 475701
- update to 5.1.3, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 5.1.2-3.mga3
+ Revision: 378833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 philippem <philippem> 5.1.2-2.mga3
+ Revision: 264475
- correct files mode

* Tue Jun 12 2012 solbu <solbu> 5.1.2-1.mga3
+ Revision: 259940
- Fix BuildRequires
- Drop useless README
- Fix url

  + shlomif <shlomif>
    - New version - 5.1.2 - tests are failing

* Thu Nov 17 2011 philippem <philippem> 5.0.1-2.mga2
+ Revision: 168375
- correct files mode

* Mon May 09 2011 philippem <philippem> 5.0.1-1.mga1
+ Revision: 96616
- 5.0.1 (fixes CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, CVE-2011-1158)

* Thu Feb 17 2011 wally <wally> 5.0-1.mga1
+ Revision: 53282
- enable check
- fix file list
- new version 5.0
- drop buildroot definition
- clean .spec a bit
- imported package python-feedparser


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.1-9mdv2011.0
+ Revision: 591517
- fix build (python byte code is compiled by feedparser by default)

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1-8mdv2010.1
+ Revision: 523786
- rebuilt for 2010.1

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 4.1-7mdv2009.1
+ Revision: 319129
- rebuild with python 2.6
- better source location

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 4.1-6mdv2009.0
+ Revision: 259603
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 4.1-5mdv2009.0
+ Revision: 247412
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.1-3mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.1-3mdv2007.0
+ Revision: 96541
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-feedparser

* Fri Jul 14 2006 Michael Scherer <misc@mandriva.org> 4.1-2mdv2007.0
- Rebuild for new extension

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 4.1-1mdk
- update to last release
- make it rpmbuildupdatable
- from Benot Gudas <benoit@guedas.com>
  - First Mandriva release

